#include <iostream>

int main()
{
	int N;
	int i,a,b;

	std::cin >> N;
	for (i = 0; i < N - 1; i++) {
		std::cin >> a;
		std::cin >> b;
	}
	if (N > 4) {
		std::cout << N - 2;
	}
	else {
		std::cout << 1;
	}
    
}